List Live Events

get https://app.mk.io/api/v1/projects/:project_name/media/liveEvents

Listing, Sorting and Filtering Live Events

This endpoint returns the list of live events in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/description, properties/encoding/encodingType, properties/lastModified, properties/resourceState, updated, updatedBy

Filtering

There are two ways to filter the set of returned live events from this endpoint - the first is to use the $filter query parameter, the second is to use the $label_key and $label query parameters.

The $filter query parameter allows for live events to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/description, properties/encoding/encodingType, properties/lastModified, properties/resourceState, updated, updatedBy, updatedByEmail, updatedByName

$label_key and $label are specific to querying live events based on their labels. Labels are a set of key-value pairs that can be used to identify live events with any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of live events.

Examples:

?$top=10 - Returns only the first 10 live events from the list.

?$orderby=name desc - Sorts live events by name in descending order.

?$filter=name eq 'descriptive name' - Returns live events that match the provided name.

?$orderby=created desc - Sorts live events by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns live events created after January 1, 2021.

?$filter=properties/resourceState eq 'Running' - Returns live events in the Running state.

?$label=studio=paravalley - Returns live events with the label studio set to paravalley.

?$label=release-date~2023 - Returns live events with the label release-date set to a value that contains 2023.

?$label_key=studio&label_key=release-date - Returns live events with any value set for the studio label and the release-date label.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

Query parameters

$label_key string Optional
Filters the set to the specified label key. If multiple $label_keys are specified, matching items must have all labels.
$label string Optional
Filters the set to the specified label key/value pair. Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned.
$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 A list of live events
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsLiveEventSchemaRequired
A list of live events.
Show 4 propertiesHide 4 properties
locationstringOptional
Deprecated field. This field cannot be modified, only set during creation.
namestringOptional2-32 characterspattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$
The name of the resource
propertiesobjectLiveEventPropertiesRequired
The properties of the live event.
Show 14 propertiesHide 14 properties
createdstringOptional
The time when the live event was created.
crossSiteAccessPoliciesobjectCrossSiteAccessPoliciesOptional
The configuration for cross-site access policies. This includes the XML content of the client access policy and cross-domain policy files. This field cannot be modified, only set during creation.
Show 2 propertiesHide 2 properties
clientAccessPolicystring or nullOptional
The XML content of the client access policy file. Search 'clientaccesspolicy.xml' to learn more.
crossDomainPolicystring or nullOptional
The XML content of the cross-domain policy file. Search 'crossdomain.xml' to learn more.
descriptionstringOptional0-4096 characters
An optional description for the live event. This field cannot be modified, only set during creation.
encodingobjectLiveEventEncodingRequired
The encoding configuration for the live event. This includes settings like encoding type and preset name. This field cannot be modified, only set during creation.
Show 4 propertiesHide 4 properties
encodingTypeenumRequired
Live event type. When encodingType is set to PassthroughBasic or PassthroughStandard, the service simply passes through the incoming video and audio layer(s) to the output. When encodingType is set to Standard or Premium1080p, a live encoder transcodes the incoming stream into multiple bitrates or layers
Allowed values:NonePassthroughBasicPassthroughStandardPremium1080pStandard
keyFrameIntervalstringOptionalDefaults to PT2S
Use an ISO 8601 time value between 1 and 10 seconds to specify the output fragment length for the video and audio tracks of an encoding live event. For example, use PT2S to indicate 2 seconds. For the video track it also defines the key frame interval, or the length of a GoP (group of pictures). If this value is not set for an encoding live event, the fragment duration defaults to 2 seconds. The value cannot be set for pass-through live events.
presetNamestringOptional
Defaults to either Default720p or Default1080p depending on encoding type. May be used to specify alternative encoding templates - contact support for assistance if your needs are complex.
stretchModeenumOptional
Determines how aspect ratio will be preserved when there is a mismatch between the input and output aspect ratios. Autofit to pad the output. Autosize to ignore the output ratio and pick the largest dimension that fits, and None to clip the content.
Allowed values:NoneAutoSizeAutoFit
hostnamePrefixstringOptional
Applied when useStaticHostname=true to specify the first part of the hostname for all input and preview addresses. This field cannot be modified, only set during creation.
inputobjectLiveEventInputRequired
The configuration for the input of the live event. This includes settings like key frame interval duration, streaming protocol, access token, and endpoints. This field cannot be modified, only set during creation.
Show 6 propertiesHide 6 properties
accessControlobjectInputAccessControlRequired
Access control for live event input.
Show 1 propertyHide 1 property
ipobjectIPAccessControlRequired
The IP access control for the live event inputs.
Show 1 propertyHide 1 property
allowlist of objectsIPRangeRequired
The IP ranges that will be allowed to access the preview. If empty, all IPs will be allowed.
Show 3 propertiesHide 3 properties
addressstringRequired
The IP address or DNS with port or protocol
namestringRequired1-32 characters
The name of the IP range. This is for your reference only. examples: 'everyone', 'dave's house', 'corp vpn'.
subnetPrefixLengthintegerRequired0 to 32
The subnet prefix length (see CIDR notation).
accessTokenstringRequired10-79 characters
For RTMP, a UUID in string form to uniquely identify the stream. For SRT, an arbitrary string of between 10 and 79 characters, used as the passphrase. This can be specified at creation time but cannot be updated. If omitted or null, the service will generate a unique value.
endpointslist of objectsLiveEventEndpointOptional
Populated server-side. The input endpoints for the live event.
Show 2 propertiesHide 2 properties
protocolstringOptional
The streaming protocol for the endpoint. Possible values include: 'SRT', 'RTMP'.
urlstringOptional
The IP address or DNS with port and protocol
keyFrameIntervalDurationstringRequired
ISO 8601 time duration of the key frame interval duration of the input. This value sets the EXT-X-TARGETDURATION property in the HLS output. For example, use PT2S to indicate 2 seconds. Leave the value empty for encoding live events.
streamingProtocolenumOptionalDefaults to RTMP
The input protocol for the live event. This is specified at creation time and cannot be updated.
Allowed values:RTMPRTMPSSRT
timedMetadataEndpointslist of objectsLiveEventTimedMetadataEndpointRequired
The metadata endpoints for the live event.
Show 1 propertyHide 1 property
urlstringRequired
lastModifiedstringOptional
The last time the live event was modified.
pipelineobjectPipelineArgumentsOptional
Not currently supported. AI pipeline settings
Show 2 propertiesHide 2 properties
argumentsmap from strings to list of objectsArgumentSchemaOptional
Arguments to each operation in the AI pipeline
Show value schemaHide value schema
[any key]list of objects
Show 2 propertiesHide 2 properties
namestringRequired1-260 characterspattern: ^[A-Za-z0-9_-]+$
The name of the argument
valueanyAnyValueRequired
The value of the argument
namestringRequired0-255 characters
The name of the AI pipeline the Transform will execute.
previewobjectLiveEventPreviewOptional
The configuration for the preview of the live event. This includes settings like preview locator, streaming policy name, access control, and endpoints. This field cannot be modified, only set during creation.
Show 5 propertiesHide 5 properties
accessControlobjectPreviewAccessControlOptional
Address-based ACLs for access to the preview.
Show 1 propertyHide 1 property
ipobjectIPAccessControlRequired
The IP access control for the preview endpoint. Determines who will be able to access preview content.
Show 1 propertyHide 1 property
allowlist of objectsIPRangeRequired
The IP ranges that will be allowed to access the preview. If empty, all IPs will be allowed.
Show 3 propertiesHide 3 properties
addressstringRequired
The IP address or DNS with port or protocol
namestringRequired1-32 characters
The name of the IP range. This is for your reference only. examples: 'everyone', 'dave's house', 'corp vpn'.
subnetPrefixLengthintegerRequired0 to 32
The subnet prefix length (see CIDR notation).
alternativeMediaIdstringOptional
Not currently supported. Will be used to support DRM license acquisition for preview content.
endpointslist of objectsLiveEventEndpointOptional
Populated server-side. The endpoints that are used for previewing the live event.
Show 2 propertiesHide 2 properties
protocolstringOptional
The streaming protocol for the endpoint. Possible values include: 'SRT', 'RTMP'.
urlstringOptional
The IP address or DNS with port and protocol
previewLocatorstringOptionalformat: uuid
The ID of the locator for the preview. This is automatically generated when the live event is created, and removed when the live Event is deleted. The caller may specify a locator GUID, in which case the caller must ensure that the GUID is unique and not already used by another resource.
streamingPolicyNamestringOptional<=260 charactersDefaults to Predefined_ClearStreamingOnly
The name of the DRM streaming policy for the live event preview. Defaults to Predefined_ClearStreamingOnly and no other value is presently supported.
provisioningStatestringOptional
The current provisioning state of the resource. One of 'InProgress', 'Succeeded', or 'Failed'
resourceStateenumOptional
The current state of the resource. One of 'Stopped', 'Starting', 'Running', 'Stopping', or 'Deleting'.
Allowed values:StoppedStartingRunningStoppingDeleting
streamOptionslist of stringsRequired
A list of streaming options for the live event. One of 'Default' or 'LowLatency'. Only one value permitted in the list. This field cannot be modified, only set during creation.
transcriptionslist of itemsAnyValueOptional
Not currently supported. Transcription settings for the live event. This field cannot be modified, only set during creation.
useStaticHostnamebooleanRequired
A boolean value that indicates whether a static hostname is assigned to input and preview endpoints. If not set, will default to 'false' and IP addresses will be provided. This field cannot be modified, only set during creation.
tagsmap from strings to stringRequired
A dictionary of tags associated with the live event. Maximum number of tags: 16. Maximum length of a tag: 64 characters. For the purposes of the $label_key and $label queries this field will be checked. This field cannot be modified, only set during creation.
Show value schemaHide value schema
[any key]string

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code